/**
 * @file model.cpp
 * @brief Model class
 *
 * @author Eric Butler (edbutler)
 *		   Zeyang Li (zeyangl)
 */

#include "scene/model.hpp"
#include "scene/material.hpp"
#include <GL/gl.h>
#include <iostream>
#include <cstring>
#include <string>
#include <fstream>
#include <sstream>

namespace _462 {

Model::Model() : mesh( 0 ) { }
Model::~Model() { }

void Model::render() const
{
    assert( mesh );
    mesh->render();
}

} /* _462 */
