/**
 * @file sphere.hpp
 * @brief Class defnition for Sphere.
 *
 * @author Kristin Siu (kasiu)
 * @author Eric Butler (edbutler)
 */

#ifndef _462_SCENE_SPHERE_HPP_
#define _462_SCENE_SPHERE_HPP_

#include "scene/scene.hpp"

namespace _462 {

/**
 * A sphere, centered on its position.
 */
class Sphere : public Geometry
{
public:

    // the radius of this sphere.
    real_t radius;

    Sphere();
    virtual ~Sphere();

    virtual void render() const;

};

} /* _462 */

#endif /* _462_SCENE_SPHERE_HPP_ */

